=== debian/changelog ===
grid-packaging-tools (3.2globus2-5) unstable; urgency=low

  * Convert to package format 3.0 (quilt)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 03 Jun 2010 19:54:21 +0200

grid-packaging-tools (3.2globus2-4) unstable; urgency=low

  * Make GPT work with automake 1.11

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 02 Jun 2009 19:30:57 +0200

grid-packaging-tools (3.2globus2-3) unstable; urgency=low

  * Fix rule dependencies in the debian/rules file.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 14 May 2009 09:02:17 +0200

grid-packaging-tools (3.2globus2-2) unstable; urgency=low

  * Adding version-info patch.
  * Fix wrong URLs in documentation and control files (Closes: #521267).
  * Explicitly mention version 2 as the GPL version that applies to
    the Debian packaging.
  * Updated Debian policy to 3.8.1, no changes required.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 26 Mar 2009 12:48:00 +0100

grid-packaging-tools (3.2globus2-1) unstable; urgency=low

  * Initial release (Closes: #512519).
    - empty globus_core.tar.gz
    - no tools and support directories

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 06 Dec 2008 17:27:05 +0100
