=== debian/control ===
Source: grid-packaging-tools
Section: devel
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/grid-packaging-tools
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/grid-packaging-tools
Homepage: http://www.gridpackagingtools.com/

Package: grid-packaging-tools
Depends: autoconf, automake, libtool, ${perl:Depends}, libarchive-tar-perl, ${misc:Depends}
Architecture: all
Description: System for managing source dependencies in large projects
 The Grid Packaging Tools (GPT) package is a collection of packaging
 tools built around an XML based packaging data format. This format
 supports the definition of complex dependency and compatibility relationships
 between packages.
 .
 The tools provide a means for developers to define the packaging data and
 include them as part of their source code distribution.  Binary packages
 can be automatically generated from this data. The packages defined by
 GPT are compatible with other packages and can be easily converted.
 .
 GPT is a key tool for the build process of the Globus grid middleware.
