## grid-packaging-tools 3.5

=== debian/changelog ===
grid-packaging-tools (3.5-3) unstable; urgency=low

  * Fix compatibility with autoconf 2.64

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 14 Jan 2012 13:30:59 +0100

grid-packaging-tools (3.5-2) unstable; urgency=low

  * Fix library handling on hurd and kfreebsd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 12 Jan 2012 06:57:53 +0100

grid-packaging-tools (3.5-1) unstable; urgency=low

  * Update to version 3.5 (Closes: #612524)
  * Drop patches implemented upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Dec 2011 19:51:31 +0100

grid-packaging-tools (3.2globus2-6) unstable; urgency=low

  * Fix problem with special characters in buildroot path

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 24 Mar 2011 20:01:13 +0100
