=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

name = grid-packaging-tools
version = 3.5

_prefix = /usr

perl_vendorlib = $(shell eval "`perl -V:installvendorlib`"; echo $$installvendorlib)

configure: configure-stamp

configure-stamp:
	dh_testdir

	touch aclocal.m4 && touch Makefile.in && touch configure

	dh_autotools-dev_updateconfig

	./configure \
	  --prefix=$(_prefix) \
	  --mandir='$${datadir}/man' \
	  --infodir='$${datadir}/info' \
	  --libexecdir='$${datadir}/globus' \
	  --with-perlmoduledir=$(perl_vendorlib)

	touch $@

build: build-arch build-indep

build-arch:

build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot

	touch aclocal.m4 && touch Makefile.in && touch configure

	if [ -r Makefile ] ; then $(MAKE) distclean ; fi

	dh_autotools-dev_restoreconfig

	rm -f build-stamp configure-stamp

	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) DESTDIR=$(CURDIR)/debian/$(name) install

	# Remove old globus core source tarball - users should install an
	# up-to-date globus-core package instead of having gpt compile it
	# from source 
	rm $(CURDIR)/debian/$(name)/usr/share/globus/gpt/globus_core-src.tar.gz

binary: binary-arch binary-indep

binary-arch:

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installman
	dh_link
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_lintian
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean configure install
