## grid-packaging-tools 3.6.2

=== debian/changelog ===
grid-packaging-tools (3.6.2-1) unstable; urgency=low

  * Update to version 3.6.2
  * Drop patches implemented upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 28 Apr 2012 14:05:50 +0200
