=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
-Build-Depends: debhelper (>= 6.0.7~), autotools-dev, quilt
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 5), autotools-dev
+Standards-Version: 3.9.3
 DM-Upload-Allowed: yes
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/grid-packaging-tools
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/grid-packaging-tools
 Homepage: http://www.gridpackagingtools.com/
 
 Package: grid-packaging-tools
-Depends: autoconf, automake, libtool, ${perl:Depends}, libarchive-tar-perl, ${misc:Depends}
+Depends: autoconf, automake, libtool, ${perl:Depends}, libarchive-tar-perl, libxml-parser-perl, ${misc:Depends}
 Architecture: all
 Description: System for managing source dependencies in large projects
  The Grid Packaging Tools (GPT) package is a collection of packaging
