=== debian/rules ===
--- 
+++ 
@@ -62,7 +62,7 @@
 
 	# Remove old globus core source tarball - users should install an
 	# up-to-date globus-core package instead of having gpt compile it
-	# from source 
+	# from source
 	rm $(CURDIR)/debian/$(name)/usr/share/globus/gpt/globus_core-src.tar.gz
 
 binary: binary-arch binary-indep
