## grid-packaging-tools 3.6.3

=== debian/changelog ===
grid-packaging-tools (3.6.3-2) unstable; urgency=low

  * Add --force-missing to automake call in gpt-bootstrap.sh

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 22 May 2013 08:54:51 +0200

grid-packaging-tools (3.6.3-1) unstable; urgency=low

  * Update to version 3.6.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 16 Dec 2012 17:08:24 +0100
