=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
 Build-Depends: debhelper (>= 5), autotools-dev
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
+Standards-Version: 3.9.4
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/grid-packaging-tools
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/grid-packaging-tools
 Homepage: http://www.gridpackagingtools.com/
