## grid-packaging-tools 3.6.7

=== debian/changelog ===
grid-packaging-tools (3.6.7-1) unstable; urgency=low

  * Update to version 3.6.7 (Globus Toolkit 5.2.5)
  * Drop patches implemented upstream

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 08 Nov 2013 14:35:49 +0100

grid-packaging-tools (3.6.3-3) unstable; urgency=low

  * Move flavor definitions to dev

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 03 Oct 2013 12:33:47 +0200
