=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
 Package: grid-packaging-tools
 Depends: autoconf, automake, libtool, ${perl:Depends}, libarchive-tar-perl, libxml-parser-perl, ${misc:Depends}
 Architecture: all
+Multi-Arch: foreign
 Description: System for managing source dependencies in large projects
  The Grid Packaging Tools (GPT) package is a collection of packaging
  tools built around an XML based packaging data format. This format
