=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # -*- makefile -*-
 
 name = grid-packaging-tools
-version = 3.5
 
 _prefix = /usr
 
@@ -65,6 +64,8 @@
 	# from source
 	rm $(CURDIR)/debian/$(name)/usr/share/globus/gpt/globus_core-src.tar.gz
 
+	chmod 644 $(CURDIR)/debian/$(name)/usr/share/globus/gpt/gpt_noinstaller
+
 binary: binary-arch binary-indep
 
 binary-arch:
